%global momorel 4


%define libdir /%{_lib}

Name: eventlog
Version: 0.2.9
Release: %{momorel}m%{?dist}
Summary: Syslog-ng v2 support library

Group: System Environment/Libraries
License: Modified BSD
Url: http://www.balabit.com/network-security/syslog-ng/
Source0: http://www.balabit.com/downloads/files/eventlog/0.2/eventlog_%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package is the runtime part of the library.

%package devel
Summary: Syslog-ng v2 support library development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the development files.

%package static
Summary: Syslog-ng v2 support static library files
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
The EventLog library aims to be a replacement of the simple syslog() API
provided on UNIX systems. The major difference between EventLog and syslog
is that EventLog tries to add structure to messages.

EventLog provides an interface to build, format and output an event record.
The exact format and output method can be customized by the administrator
via a configuration file.

This package contains the static library files.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# we build into /usr/lib,
# but we want the library (but not the devel stuff) in /lib
install -d -m 755 %{buildroot}/%{libdir}
pushd %{buildroot}%{_libdir}
mv libevtlog.so.* %{buildroot}/%{libdir}
ln -sf ../../%{_lib}/libevtlog.so.*.* libevtlog.so
popd

rm -f %{buildroot}%{_libdir}/libevtlog.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
%{libdir}/libevtlog.so.0
%{libdir}/libevtlog.so.0.0.0

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_libdir}/libevtlog.so
%{_libdir}/pkgconfig/eventlog.pc
%{_includedir}/%{name}

%files static
%defattr(-,root,root,-)
%{_libdir}/libevtlog.a

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.9-4m)
- full rebuild for mo7 release

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.9-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.9-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu May 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.9-1m)
- update to 0.2.9 based on Fedora 11 (0.2.7-3)
- License: Modified BSD

* Fri May 22 2009 Masaru Sanuki <sanuki@momonga-linux.org>
- (0.2.5-4m)
- add autoreconf (build fix)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.5-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gcc43

* Mon Apr  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.5-1m)
- import from fc7 to Momonga

* Sun Mar 11 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-6
- The -devel subpackage now obsoletes the -static subpackage if the
  latter one is not created.

* Fri Mar  9 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-5
- Optional creation of the -static subpackage.

* Sun Feb 25 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-4
- Install the dynamic library in /lib.

* Sat Feb 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-3
- Create a -static subpackage.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> - 0.2.5-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Jul 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.5-1
- Update to 0.25.

* Tue Feb 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.4-1
- Update to 0.24.

* Sun Oct 16 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.3-1
- Update to 0.2.3+20051004 snapshot.

* Fri Apr 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.2.3-1
- Update to 0.2.3+20050422 snapshot.
- FLAGS are now being inherited by configure (patch accepted upstream).
- Static lib created by default.
- Copyright information (README and COPYING files).

* Sat Jan 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.2.2-0.fdr.0
- Update to 0.2.2.

* Wed Jan 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.2.1-0.fdr.0
- Initial build (version 0.2.1).

# vim:set ai ts=4 sw=4 sts=4 et:
